Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

Token Provisioning and Management API

TSP-API-IN-v1-Provisioning-Management-oas2.yaml

PUT /tokens/{tokenId}/data

put

This method is used by TSP to send the partial or complete data preparation used to personalize the payment application.

Path parameters
tokenIdstring · min: 1 · max: 48Required

Identifier of the token to update

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Body
issuerIdstring · min: 10 · max: 10Required

Unique Identifier of Issuer

Responses
put
/tokens/{tokenId}/data

No content

PUT /tokens/{tokenId}/newData

put

This method is used by TSP to send the partial or complete data preparation used in order to re-personalize the payment application.

Path parameters
tokenIdstring · min: 1 · max: 48Required

Identifier of the token to update

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Body
issuerIdstring · min: 10 · max: 10Required

Unique Identifier of Issuer

repersoedTokenIdstring · min: 1 · max: 48Optional

new tokenId linked to the new DPAN BIN

Responses
put
/tokens/{tokenId}/newData

No content

GET /healthCheck

get

This method is used by TSP to monitor TSH health. It should be used every 30 seconds in production environment.

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Responses
get
/healthCheck

No content

Last updated

Was this helpful?